Bug 734839 - errata list --consumerid requires you to have --type
Summary: errata list --consumerid requires you to have --type
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 27
Assignee: Sayli Karmarkar
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 15:17 UTC by Preethi Thomas
Modified: 2015-03-23 01:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:12:49 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2011-08-31 15:17:22 UTC
Description of problem:

Errata list with just --consumerid does not list the errata available for the system. It requires you to provide --type as well.
[root@preethi ~]# pulp-admin -u admin -p admin errata list --consumerid=pulp-client
No errata available to list
[root@preethi ~]# pulp-admin -u admin -p admin errata list --consumerid=pulp-client --type=bugfix
+------------------------------------------+
 Applicable Errata for consumer [pulp-client]
+------------------------------------------+

Id                  	Type           	Title

FEDORA-2011-9195    	bugfix         	libisofs-1.1.2-1.fc14
FEDORA-2011-7709    	bugfix         	module-init-tools-3.11.1-6.fc14
FEDORA-2011-8594    	bugfix         	poppler-0.14.5-3.fc14
FEDORA-2011-5296    	bugfix         	less-436-11.fc14
FEDORA-2010-18143   	bugfix         	openldap-2.4.23-4.fc14
FEDORA-2010-17150   	bugfix         	gawk-3.1.8-3.fc14
FEDORA-2011-0234    	bugfix         	psmisc-22.13-6.fc14
FEDORA-2010-17660   	bugfix         	setup-2.8.28-1.fc14
FEDORA-2011-0197    	bugfix         	attr-2.4.44-6.fc14
FEDORA-2011-9473    	bugfix         	v4l-utils-0.8.5-1.fc14
FEDORA-2011-8613    	bugfix         	bash-4.1.7-4.fc14
FEDORA-2011-9299    	bugfix         	telnet-0.17-51.fc14
FEDORA-2011-7861    	bugfix         	sudo-1.7.4p5-2.fc14
FEDORA-2010-18681   	bugfix         	plymouth-0.8.4-0.20100823.7.fc14
FEDORA-2011-8497    	bugfix         	grep-2.8-2.fc14
FEDORA-2011-1937    	bugfix         	lua-5.1.4-7.fc14
FEDORA-2011-9403    	bugfix         	python-simplejson-2.1.6-1.fc14.1
FEDORA-2011-8182    	bugfix         	openoffice.org-3.3.0-20.6.fc14
FEDORA-2011-5171    	bugfix         	git-1.7.4.4-1.fc14
FEDORA-2011-10285   	bugfix         	python-rhsm-0.96.8-1.fc14



Version-Release number of selected component (if applicable):


How reproducible:
[root@preethi ~]# rpm -q pulp
pulp-0.0.228-1.fc15.noarch

Comment 1 Sayli Karmarkar 2011-09-02 07:42:24 UTC
Fixed

Comment 2 Jeff Ortel 2011-09-02 19:18:13 UTC
build: 0.230

Comment 3 Preethi Thomas 2011-09-07 14:02:15 UTC
verified
[root@preethi ~]# rpm -q pulp
pulp-0.0.230-1.fc15.noarch

root@preethi ~]# pulp-admin errata list --consumerid=pulp-client
+------------------------------------------+
 Applicable Errata for consumer [pulp-client]
+------------------------------------------+

Id                  	Type           	Title

FEDORA-2011-0316    	security       	libuser-0.56.18-3.fc14
FEDORA-2011-1937    	bugfix         	lua-5.1.4-7.fc14
FEDORA-2011-7861    	bugfix         	sudo-1.7.4p5-2.fc14
FEDORA-2011-9403    	bugfix         	python-simplejson-2.1.6-1.fc14.1

Comment 4 Preethi Thomas 2012-02-24 20:12:49 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.